<?php
/**
 * Edit account form
 *
 * @author    WooThemes
 * @package   WooCommerce/Templates
 * @version     2.2.7
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}
?>

<?php wc_print_notices(); ?>
<div class="row">
<div class="col-sm-12">
  <div class="edit-account-form">

<form action="" method="post">

  <?php do_action( 'woocommerce_edit_account_form_start' ); ?>

  <h2 class="edit-account-details"><?php _e( 'Edit Account Details', 'woocommerce' ); ?></h2>

  <div class="row">
    <p class="col-sm-6 col-lg-6">
      <label for="account_first_name"><?php _e( 'First name', 'woocommerce' ); ?> <span class="required">*</span></label>
      <input type="text" class="input-text" name="account_first_name" id="account_first_name" value="<?php echo esc_attr( $user->first_name ); ?>" />
    </p>
    <p class="col-sm-6 col-lg-6">
      <label for="account_last_name"><?php _e( 'Last name', 'woocommerce' ); ?> <span class="required">*</span></label>
      <input type="text" class="input-text" name="account_last_name" id="account_last_name" value="<?php echo esc_attr( $user->last_name ); ?>" />
    </p>
  </div>

  <div class="row">
    <p class="col-sm-12">
      <label for="account_email"><?php _e( 'Email address', 'woocommerce' ); ?> <span class="required">*</span></label>
      <input type="email" class="input-text" name="account_email" id="account_email" value="<?php echo esc_attr( $user->user_email ); ?>" />
    </p>

    <div class="col-sm-12 col-lg-12">

    <fieldset>
      <legend><?php _e( 'Password Change', 'woocommerce' ); ?></legend>
    
      <p>
        <label for="password_current"><?php _e( 'Current Password (leave blank to leave unchanged)', 'woocommerce' ); ?></label>
        <input type="password" class="input-text" name="password_current" id="password_current" />
      </p>
      <p>
        <label for="password_1"><?php _e( 'New Password (leave blank to leave unchanged)', 'woocommerce' ); ?></label>
        <input type="password" class="input-text" name="password_1" id="password_1" />
      </p>
      <p>
        <label for="password_2"><?php _e( 'Confirm New Password', 'woocommerce' ); ?></label>
        <input type="password" class="input-text" name="password_2" id="password_2" />
      </p>
    </fieldset>


    <?php do_action( 'woocommerce_edit_account_form' ); ?>

    <p>
      <?php wp_nonce_field( 'save_account_details' ); ?>
      <input type="submit" class="button" name="save_account_details" value="<?php _e( 'Save changes', 'woocommerce' ); ?>" />
      <input type="hidden" name="action" value="save_account_details" />
    </p>

    </div>

  </div>

  <?php do_action( 'woocommerce_edit_account_form_end' ); ?>
  
</form>
</div>
</div>
</div>
